Subject: Re: bug#15531: Emacs configure fails with gif 5.0

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2013 21:26:06 +0300

> From: Barry Fishman <[email-masked]>
> Date: Sat, 05 Oct 2013 11:27:53 -0400
> 
> The configure script fails to recognize the gif_lib.h header file for
> gif 5.0 and so prints an error that git support can not be found.
> 
> The gif_lib.h header file has been reorganized for gif 5.0.  There is no
> longer a EGifPutExtensionLast function.  However there is a new
> GifMakeMapObject I used in my patch.  A better way would probably be to
> look at the new GIFLIB_MAJOR define now in gif_lib.h.
> 
> I have included a patch, but I do not have many OS/platforms that I
> can check.  I am far from understanding autoconfig, but my attempt at a
> fix (git patch) is included below:

Thanks.

For the record, this is not enough for Windows, because we must
prevent Emacs compiled with libungif 5.0 or newer to dynamically load
an older shared library, or vice versa.

Btw, where can one find this new version?  I can only find versions
4.x or older.